//
//  Model.m
//  DesignPatternDemo
//
//  Created by Developer on 11/19/13.
//  Copyright (c) 2013 EDUMobile. All rights reserved.
//

#import "Model.h"

@implementation Model

- (id) init
{
    self = [super init];
    if (self) {
        [self setupFortunes];
    }
    return self;
}

- (void) setupFortunes
{
    self.fortunes = @[ @"It is certain",
                       @"It is decidedly so",
                       @"Without a doubt",
                       @"Yes definitely",
                       @"You may rely on it",
                       @"As I see it yes",
                       @"Most likely",
                       @"Outlook good",
                       @"Yes",
                       @"Signs point to yes",
                       @"Reply hazy try again",
                       @"Ask again later",
                       @"Better not tell you now",
                       @"Cannot predict now",
                       @"Concentrate and ask again",
                       @"Don't count on it",
                       @"My reply is no",
                       @"My sources say no",
                       @"Outlook not so good",
                       @"Very doubtful" ];
}

- (NSString *) predict
{
    int index = (arc4random() % 20);
    return [self.fortunes objectAtIndex:index];
}

@end
